device_type: beaglebone-black
job_name: Bbone healthcheck
timeouts:
  job:
    minutes: 30
  action:
    minutes: 15
  connection:
    minutes: 5
priority: medium
visibility: public
context:
  test_character_delay: 10


actions:

- boot:
    timeout:
      minutes: 2
    method: minimal
    soft_reboot: ["reset;pwd;reset"]
    parameters:
      shutdown-message: ["shutdown"]
      boot-message: ["Startup complete"]


- test:
    interactive:
    - name: bin_utility_tests
      prompts: ["#"]
      script:
      - name: uname
        command: uname -a
      - name: ifconfig
        command: ifconfig
      - name: df
        command: df 
      - name: pwd
        command: pwd 


